{
  "x-generator": "On Key REST API Docs Generator",
  "swagger": "2.0",
  "info": {
    "title": "On Key BI  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "host": "<variable>:443",
  "basePath": "/api/tenants/{client}/{connection}",
  "schemes": [
    "https"
  ],
  "consumes": [
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.entitypatch+json",
    "application/vnd.onkey.entitydelete+json",
    "application/vnd.onkey.entitydeletecollection+json",
    "application/vnd.onkey.entitypatchcollection+json"
  ],
  "produces": [
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.notification+json",
    "application/vnd.onkey.entitycollection+json",
    "application/vnd.onkey.userdefinedquerypage+json",
    "application/vnd.onkey.entitycollectionpage+json"
  ],
  "paths": {
    "/Modules/BI/Insights/PortalUrl": {
      "get": {
        "tags": [
          "Insights"
        ],
        "summary": "Get the Insights Portal Url for the current authenticated user",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| url | InsightsPortalInfo->Url | string |  |\r\n",
        "operationId": "GetInsightsPortalUrl",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Insights",
            "schema": {
              "$ref": "#/definitions/GetReportUrlResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/BI/Insights/Users/Available": {
      "get": {
        "tags": [
          "Insights"
        ],
        "summary": "Get a list of available Insights User resources",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | InsightsUser->Id | string |  |\r\n| name | InsightsUser->Name | string |  |\r\n| userDirectory | InsightsUser->UserDirectory | string |  |\r\n| userId | InsightsUser->UserId | string |  |\r\n",
        "operationId": "GetInsightsUsersAvailable",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Insights collection",
            "schema": {
              "$ref": "#/definitions/GetInsightsUsersAvailableResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/IntegrationToken": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get Report Server Integration Token",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| accessToken | ReportServerIntegrationToken->AccessToken | string |  |\r\n| expiresIn | ReportServerIntegrationToken->ExpiresIn | string |  |\r\n| integrationUrl | ReportServerIntegrationToken->IntegrationUrl | string |  |\r\n| tokenType | ReportServerIntegrationToken->TokenType | string |  |\r\n",
        "operationId": "GetReportServerIntegrationToken",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "string",
            "name": "EntityType",
            "in": "query",
            "description": "Filter reports by Entity Type",
            "x-schema": {
              "$ref": "#/definitions/EntityType"
            },
            "x-nullable": true,
            "enum": [
              "Alarm",
              "NewAlarm",
              "AlarmExpression",
              "AlarmExpressionTask",
              "AlarmAttribute",
              "AlarmDocument",
              "AlarmType",
              "MonitoringPoint",
              "MonitoringPointBoundEvaluationLog",
              "MonitoringPointParameter",
              "MonitoringPointReading",
              "MonitoringPointTrigger",
              "MonitoringPointTriggerExpression",
              "MonitoringPointTriggerExpressionAlarmType",
              "MonitoringPointTriggerExpressionParameter",
              "MonitoringPointTriggerExpressionEvaluation",
              "MonitoringPointTriggerExpressionEvaluationLog",
              "MonitoringPointType",
              "MonitoringPointTypeParameter",
              "MonitoringPointAttribute",
              "MonitoringPointDocument",
              "AuxiliaryAssetTask",
              "AuxiliaryAssetTaskResource",
              "AuxiliaryAssetTaskSpare",
              "AuxiliaryAssetTaskSubTask",
              "RegularAssetComponent",
              "RegularAssetComponentAttribute",
              "RegularAssetComponentDocument",
              "RegularAssetComponentRuleEvaluationFailure",
              "AssetComponent",
              "AssetWarranty",
              "PlaceholderAssetComponent",
              "PlaceholderAssetComponentOptionValue",
              "PlaceholderAssetComponentCondition",
              "PlaceholderAssetMeter",
              "PlaceholderAssetComponentRuleEvaluationFailure",
              "RegularAssetCondition",
              "RegularAssetActiveCondition",
              "AssetFmeca",
              "RegularAssetOptionValue",
              "Asset",
              "RegularAssetAttribute",
              "RegularAssetDocument",
              "RegularAssetFileAttachment",
              "PlaceholderAsset",
              "PlaceholderAssetAttribute",
              "PlaceholderAssetDocument",
              "PlaceholderAssetFileAttachment",
              "PlaceholderAssetRuleEvaluationFailure",
              "PlaceholderAssetResponsibility",
              "PlaceholderAssetCondition",
              "PlaceholderAssetActiveCondition",
              "AssetTask",
              "SetAssetTaskSpareWarehouseEntity",
              "RegularAssetTask",
              "RegularAssetTaskRuleEvaluationFailure",
              "RegularAssetTaskAttribute",
              "RegularAssetTaskAuxiliaryTask",
              "RegularAssetTaskFollowUpTask",
              "RegularAssetTaskFollowUpTaskExpression",
              "RegularAssetTaskSuppressedTask",
              "RegularAssetTaskResource",
              "RegularAssetTaskResourceRuleEvaluationFailure",
              "RegularAssetTaskSpare",
              "RegularAssetTaskSpareRuleEvaluationFailure",
              "RegularAssetTaskSubTask",
              "RegularAssetTaskFileAttachment",
              "AuxiliaryAssetTypeTask",
              "AuxiliaryAssetTypeTaskResource",
              "AuxiliaryAssetTypeTaskSpare",
              "AuxiliaryAssetTypeTaskSubTask",
              "RegularAssetTypeComponent",
              "RegularAssetTypeComponentAttribute",
              "RegularAssetTypeComponentDocument",
              "AssetTypeComponent",
              "PlaceholderAssetTypeComponent",
              "PlaceholderAssetTypeComponentCondition",
              "PlaceholderAssetTypeComponentAttribute",
              "PlaceholderAssetTypeComponentDocument",
              "PlaceholderAssetTypeComponentRuleLink",
              "RegularAssetTypeComponentRuleLink",
              "PlaceholderAssetComponentAttribute",
              "PlaceholderAssetComponentDocument",
              "PlaceholderAssetComponentActiveCondition",
              "AssetTypeFmeca",
              "AssetTypeFunction",
              "AssetFunction",
              "AssetFmecaTask",
              "AssetTypeFmecaTask",
              "AssetTypeFolder",
              "RegularAssetTypeOption",
              "AssetType",
              "PlaceholderAssetType",
              "PlaceholderAssetTypeSpare",
              "PlaceholderAssetTypeAttribute",
              "PlaceholderAssetTypeDocument",
              "PlaceholderAssetTypeResponsibility",
              "PlaceholderAssetTypeRuleLink",
              "RegularAssetTypeTask",
              "RegularAssetTypeTaskAttribute",
              "RegularAssetTypeTaskAuxiliaryTask",
              "RegularAssetTypeTaskCondition",
              "RegularAssetTypeTaskDocument",
              "RegularAssetTypeTaskFollowUpTask",
              "RegularAssetTypeTaskFollowUpTaskExpression",
              "AssetTypeTask",
              "AssetTypeTaskResource",
              "AssetTaskResource",
              "AssetTaskSpare",
              "AssetTypeTaskSpare",
              "RegularAssetTypeTaskResource",
              "RegularAssetTypeTaskRuleLink",
              "RegularAssetTypeTaskSpare",
              "RegularAssetTypeTaskSubTask",
              "RegularAssetTypeTaskSuppressedTask",
              "Condition",
              "ConditionType",
              "Event",
              "FailureCause",
              "FailureCauseType",
              "FailureMechanism",
              "FailureMechanismType",
              "FailureMode",
              "FailureModeType",
              "InPlaceAssetMeter",
              "InPlaceAssetAttribute",
              "InPlaceAssetFileAttachment",
              "InPlaceAssetRuleEvaluationFailure",
              "InPlaceAssetResponsibility",
              "InPlaceAssetSpare",
              "InPlaceAssetType",
              "InPlaceAssetTypeResponsibility",
              "InPlaceAssetTypeRuleLink",
              "InPlaceAssetTypeSpare",
              "InPlaceAsset",
              "Option",
              "OptionCategory",
              "RegularAsset",
              "RegularAssetTaskDocument",
              "RegularAssetMeter",
              "RegularAssetResponsibility",
              "RegularAssetMonitoringPointTrigger",
              "RegularAssetSpare",
              "RegularAssetTaskCondition",
              "RegularAssetType",
              "RegularAssetTypeAttribute",
              "RegularAssetTypeDocument",
              "RegularAssetTypeCondition",
              "PlaceholderAssetTypeCondition",
              "RegularAssetTypeRule",
              "RegularAssetTypeResponsibility",
              "RegularAssetTypeMonitoringPointTrigger",
              "RegularAssetTypeSpare",
              "RepairType",
              "Rule",
              "RuleCategory",
              "RuleOption",
              "StandardTask",
              "StandardTaskSpare",
              "StandardTaskSubTask",
              "StandardTaskResource",
              "StandardTaskAttribute",
              "StandardTaskDocument",
              "TaskImportance",
              "TaskInterval",
              "TaskIntervalType",
              "TaskRollUpPoint",
              "TypeOfWork",
              "RegularAssetTypeTaskSpareRuleLink",
              "InPlaceAssetTypeAttribute",
              "RegularAssetTypeTaskResourceRuleLink",
              "PlaceholderAssetSpare",
              "RegularAssetMonitoringPointTriggerParameter",
              "AssetSpare",
              "AssetTypeSpare",
              "AssetMeter",
              "AssetConsumption",
              "RegularAssetConsumption",
              "PlaceholderAssetConsumption",
              "InPlaceAssetConsumption",
              "WarrantyType",
              "RegularAssetTypeFileAttachment",
              "Meter",
              "MeterAttribute",
              "MeterDocument",
              "MeterReading",
              "PredictedMeterReading",
              "TimeLossCategory",
              "TimeLossReason",
              "TimeLossType",
              "Consumable",
              "AcquisitionStatus",
              "AcquisitionType",
              "DocumentFolder",
              "DocumentRecord",
              "DocumentRecordAttribute",
              "FileAttachment",
              "FileAttachmentCategory",
              "FileAttachmentContentHistory",
              "DocumentRecordFileHistory",
              "Costing",
              "CostingBudget",
              "CostCentre",
              "CostCentreAttribute",
              "CostCentreDocument",
              "CostCentreType",
              "CostElement",
              "CostElementAttribute",
              "CostElementDocument",
              "Currency",
              "BudgetTemplate",
              "BudgetTemplateParameter",
              "FinancialYear",
              "FinancialYearPeriod",
              "GeneralLedger",
              "GeneralLedgerAttribute",
              "GeneralLedgerDocument",
              "CurrencyRate",
              "Budget",
              "BudgetParameter",
              "AddressType",
              "Approval",
              "Attribute",
              "AttributeAllowedValue",
              "Calendar",
              "CalendarDay",
              "CalendarException",
              "CalendarDayHour",
              "Classification",
              "ClassificationAllowedValue",
              "EmailType",
              "Language",
              "OperationalRole",
              "OperationalRoleTemplate",
              "OperationalRoleResource",
              "PhoneNumberType",
              "UserOperationalRole",
              "UserOperationalRoleTemplate",
              "UserOperationalRoleResource",
              "TermsAndCondition",
              "TermsAndConditionVersion",
              "TermsAndConditionOperationalRole",
              "UserTermsAndConditionVersion",
              "Location",
              "LocationAttribute",
              "LocationDocument",
              "LocalisationSet",
              "LocalisationKey",
              "LocalisationTranslation",
              "Phrase",
              "PhraseTranslation",
              "PreconfiguredReason",
              "Site",
              "SiteAttribute",
              "SiteDocument",
              "SiteType",
              "Supplier",
              "SupplierFileAttachment",
              "SupplierAttribute",
              "SupplierDocument",
              "SupplierContactAddress",
              "SupplierContactEmail",
              "SupplierContactPhoneNumber",
              "SupplierResource",
              "SupplierTaxRate",
              "UnitOfMeasurement",
              "SiteResource",
              "SiteContactAddress",
              "SiteContactEmail",
              "SiteContactPhoneNumber",
              "ChangeDataTrigger",
              "ChangeDataTriggerOccurrenceLog",
              "ChangeDataTriggerCriteria",
              "NotificationTemplate",
              "ChangeDataTriggerCriteriaParameter",
              "ChangeDataTriggerNotificationEvent",
              "NotificationTemplateParameter",
              "ChangeDataTriggerNotificationEventAttachment",
              "ChangeDataTriggerNotificationEventAttachmentParameter",
              "RequestType",
              "Category",
              "Commodity",
              "MaterialMaster",
              "MaterialMasterAttribute",
              "MaterialMasterDocument",
              "MaterialMasterBin",
              "MaterialMasterSupplier",
              "MaterialMasterLinkWarehouse",
              "StockItem",
              "StockItemFileAttachment",
              "StockItemAttribute",
              "StockItemDocument",
              "StockItemBin",
              "StockItemSupplier",
              "WarehouseAttribute",
              "Warehouse",
              "WarehouseDocument",
              "Requisition",
              "RequisitionFileAttachment",
              "RequisitionStatus",
              "RequisitionStatusChange",
              "RequisitionStatusAttribute",
              "RequisitionStatusDocument",
              "RequisitionStatusChangeHistory",
              "RequisitionItemTransaction",
              "ApprovalRole",
              "RequisitionAttribute",
              "RequisitionDocument",
              "RequisitionTransaction",
              "RequisitionItem",
              "RequisitionItemFileAttachment",
              "UserSiteApprovalRole",
              "ApprovalWorkflow",
              "ApprovalWorkflowExpression",
              "ApprovalWorkflowExpressionApprovalRole",
              "Competency",
              "Resource",
              "ResourceAttribute",
              "ResourceAddress",
              "ResourceClassification",
              "ResourceCompetency",
              "ResourceDocument",
              "ResourceEmail",
              "ResourcePhoneNumber",
              "ResourceTrade",
              "ResourceTradeCompetency",
              "ResourceTradeFinancialRate",
              "Section",
              "SectionAttribute",
              "SectionDocument",
              "SectionTrade",
              "TradeAttribute",
              "TradeDocument",
              "Trade",
              "TradeCompetency",
              "TradeFinancialRate",
              "ResourceContext",
              "ResourceFileAttachment",
              "AssetImportance",
              "RiskConsequence",
              "RiskConsequenceCategory",
              "RiskModel",
              "RiskModelConsequenceCategory",
              "RiskModelImportance",
              "RiskModelProbability",
              "RiskProbability",
              "WorkOrderImportance",
              "WorkOrderStatus",
              "WorkOrderStatusAttribute",
              "WorkOrderStatusDocument",
              "WorkOrderStatusAllowedChange",
              "WorkOrder",
              "WorkOrderStatusChangeHistory",
              "WorkOrderStatusChange",
              "WorkOrderMerge",
              "WorkOrderSplit",
              "WorkOrderMeter",
              "WorkOrderAttribute",
              "WorkOrderDocument",
              "WorkOrderFileAttachment",
              "WorkOrderTaskFileAttachment",
              "WorkOrderTaskWarranty",
              "WorkOrderTaskSpareFileAttachment",
              "WorkOrderTask",
              "WorkOrderTaskDocument",
              "WorkOrderTaskAdHocCost",
              "WorkOrderMonitoringPoint",
              "WorkOrderTaskMonitoringPoint",
              "WorkOrderTaskSpare",
              "WorkOrderTaskSubTask",
              "WorkOrderTaskResource",
              "WorkOrderTaskResourceUsage",
              "DueTask",
              "DueTaskSuppressor",
              "ProposedWorkOrderBatch",
              "ProposedWorkOrder",
              "ProposedWorkOrderTask",
              "ProposedWorkOrderMeter",
              "WorkOrderMovement",
              "WorkOrderTaskMovement",
              "WorkOrderTaskResourceMovement",
              "WorkOrderTaskSpareMovement",
              "WorkOrderTaskSubTaskMovement",
              "WorkOrderCompleteAllTasksLog",
              "WorkRequest",
              "WorkRequestAttribute",
              "WorkRequestDocument",
              "WorkRequestStatus",
              "WorkRequestStatusChange",
              "WorkRequestStatusChangeHistory",
              "WorkRequestFileAttachment",
              "WorkOrderDowntimeLoss",
              "WorkOrderProgressEvent",
              "WorkOrderProgressEventAllowedChange",
              "WorkOrderProgressLog",
              "WorkOrderWarranty",
              "ServiceLevelAgreementClassification",
              "ServiceLevelAgreement",
              "ServiceLevelAgreementMeasure",
              "WorkOrderServiceLevelAgreement",
              "WorkOrderServiceLevelAgreementMeasure",
              "ServiceLevelAgreementMeasureTrigger",
              "ServiceLevelAgreementMeasureFieldAssignment",
              "PermissionTree",
              "User",
              "UserAttribute",
              "UserDocument",
              "UserAuthentication",
              "SecurityRole",
              "SecurityRolePermission",
              "UserSecurityRole",
              "UserCustomPermission",
              "UserOption",
              "BackgroundTask",
              "BackgroundTaskStep",
              "ScheduledBackgroundTask",
              "ScheduledJob",
              "UserDefinedField",
              "UserDefinedFieldPredefinedValue",
              "SystemOption",
              "SystemOptionPageLimit",
              "SystemOptionWorkOrderStatus",
              "SystemOptionDefaultStandardTask",
              "SystemOptionWorkOrderStatusTypeOfWork",
              "SystemOptionReferenceDataViewPermission",
              "SystemOptionFileAttachmentCategory",
              "SystemOptionFileAttachmentFileType",
              "RecordChange",
              "RecordChangeValue",
              "RecordChangeUser",
              "RecordChangeProperty",
              "NotificationEventOutbox",
              "NotificationEventAttachmentOutbox",
              "NotificationOutbox",
              "NotificationOutboxLog",
              "ChangeDataTriggerCriteriaEvaluation",
              "SystemOptionReportServerEntity",
              "SystemOptionReportServerEntityDefaultReport",
              "TemplateMigrationLog",
              "TemplateMigrationLogIntent",
              "ResourceActionMigrationLog",
              "ImportSchema",
              "ImportFile",
              "UserDefinedQuery",
              "ResourceActionCustomisation",
              "TemplateCustomisation",
              "TemplateResource",
              "ClusterSettings",
              "ClusterIdentityProviderSettings",
              "MessageBrokerHost",
              "MessageBrokerTopic",
              "MessageBrokerTopicConsumer",
              "TenantSettings",
              "TenantChangeDataSubscriptionSettings",
              "TenantIdentityProviderSettings",
              "TenantJobSettings",
              "TenantFileContentStoreLocationSettings",
              "TenantFileContentStoreFileTypeGroupSettings",
              "TenantFileContentStoreFileTypeSettings",
              "ClusterFeatureToggle",
              "TenantFeatureToggle",
              "TenantHealthCheck",
              "TenantMachineHealthCheck",
              "ClusterHealthCheck",
              "ClusterMachineHealthCheck",
              "ClusterCapacitySlot",
              "TenantChangeLogCleanupExpressionSettings",
              "ClusterJobSettings",
              "Ignore"
            ]
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Report",
            "schema": {
              "$ref": "#/definitions/GetReportServerIntegrationTokenResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/Url": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get the Report Server Url to view the Integration Portal for the current authenticated user",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| url | ReportServerUrl->Url | string |  |\r\n| type | ReportServerUrl->Type | string (Allowed values: [Base, ResourcePortal, IntegrationPortal, IntegrationAdminPortal, ViewReport]) | enum |\r\n",
        "operationId": "GetReportServerUrl",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Report",
            "schema": {
              "$ref": "#/definitions/GetReportUrlResourceActionResponse2"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/ViewReportUrl": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get the Report Server Url to view a Report for the current authenticated user",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| url | ReportServerUrl->Url | string |  |\r\n| type | ReportServerUrl->Type | string (Allowed values: [Base, ResourcePortal, IntegrationPortal, IntegrationAdminPortal, ViewReport]) | enum |\r\n",
        "operationId": "GetReportServerViewReportUrl",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Report",
            "schema": {
              "$ref": "#/definitions/GetViewReportUrlResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/Dashboards": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Dashboard resources",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ReportServerDashboard->Id | string |  |\r\n| title | ReportServerDashboard->Title | string |  |\r\n| description | ReportServerDashboard->Description | string |  |\r\n| category | ReportServerDashboard->Category | string |  |\r\n",
        "operationId": "GetReportServerDashboards",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "string",
            "name": "EntityType",
            "in": "query",
            "description": "Filter reports by Entity Type",
            "x-schema": {
              "$ref": "#/definitions/EntityType"
            },
            "x-nullable": true,
            "enum": [
              "Alarm",
              "NewAlarm",
              "AlarmExpression",
              "AlarmExpressionTask",
              "AlarmAttribute",
              "AlarmDocument",
              "AlarmType",
              "MonitoringPoint",
              "MonitoringPointBoundEvaluationLog",
              "MonitoringPointParameter",
              "MonitoringPointReading",
              "MonitoringPointTrigger",
              "MonitoringPointTriggerExpression",
              "MonitoringPointTriggerExpressionAlarmType",
              "MonitoringPointTriggerExpressionParameter",
              "MonitoringPointTriggerExpressionEvaluation",
              "MonitoringPointTriggerExpressionEvaluationLog",
              "MonitoringPointType",
              "MonitoringPointTypeParameter",
              "MonitoringPointAttribute",
              "MonitoringPointDocument",
              "AuxiliaryAssetTask",
              "AuxiliaryAssetTaskResource",
              "AuxiliaryAssetTaskSpare",
              "AuxiliaryAssetTaskSubTask",
              "RegularAssetComponent",
              "RegularAssetComponentAttribute",
              "RegularAssetComponentDocument",
              "RegularAssetComponentRuleEvaluationFailure",
              "AssetComponent",
              "AssetWarranty",
              "PlaceholderAssetComponent",
              "PlaceholderAssetComponentOptionValue",
              "PlaceholderAssetComponentCondition",
              "PlaceholderAssetMeter",
              "PlaceholderAssetComponentRuleEvaluationFailure",
              "RegularAssetCondition",
              "RegularAssetActiveCondition",
              "AssetFmeca",
              "RegularAssetOptionValue",
              "Asset",
              "RegularAssetAttribute",
              "RegularAssetDocument",
              "RegularAssetFileAttachment",
              "PlaceholderAsset",
              "PlaceholderAssetAttribute",
              "PlaceholderAssetDocument",
              "PlaceholderAssetFileAttachment",
              "PlaceholderAssetRuleEvaluationFailure",
              "PlaceholderAssetResponsibility",
              "PlaceholderAssetCondition",
              "PlaceholderAssetActiveCondition",
              "AssetTask",
              "SetAssetTaskSpareWarehouseEntity",
              "RegularAssetTask",
              "RegularAssetTaskRuleEvaluationFailure",
              "RegularAssetTaskAttribute",
              "RegularAssetTaskAuxiliaryTask",
              "RegularAssetTaskFollowUpTask",
              "RegularAssetTaskFollowUpTaskExpression",
              "RegularAssetTaskSuppressedTask",
              "RegularAssetTaskResource",
              "RegularAssetTaskResourceRuleEvaluationFailure",
              "RegularAssetTaskSpare",
              "RegularAssetTaskSpareRuleEvaluationFailure",
              "RegularAssetTaskSubTask",
              "RegularAssetTaskFileAttachment",
              "AuxiliaryAssetTypeTask",
              "AuxiliaryAssetTypeTaskResource",
              "AuxiliaryAssetTypeTaskSpare",
              "AuxiliaryAssetTypeTaskSubTask",
              "RegularAssetTypeComponent",
              "RegularAssetTypeComponentAttribute",
              "RegularAssetTypeComponentDocument",
              "AssetTypeComponent",
              "PlaceholderAssetTypeComponent",
              "PlaceholderAssetTypeComponentCondition",
              "PlaceholderAssetTypeComponentAttribute",
              "PlaceholderAssetTypeComponentDocument",
              "PlaceholderAssetTypeComponentRuleLink",
              "RegularAssetTypeComponentRuleLink",
              "PlaceholderAssetComponentAttribute",
              "PlaceholderAssetComponentDocument",
              "PlaceholderAssetComponentActiveCondition",
              "AssetTypeFmeca",
              "AssetTypeFunction",
              "AssetFunction",
              "AssetFmecaTask",
              "AssetTypeFmecaTask",
              "AssetTypeFolder",
              "RegularAssetTypeOption",
              "AssetType",
              "PlaceholderAssetType",
              "PlaceholderAssetTypeSpare",
              "PlaceholderAssetTypeAttribute",
              "PlaceholderAssetTypeDocument",
              "PlaceholderAssetTypeResponsibility",
              "PlaceholderAssetTypeRuleLink",
              "RegularAssetTypeTask",
              "RegularAssetTypeTaskAttribute",
              "RegularAssetTypeTaskAuxiliaryTask",
              "RegularAssetTypeTaskCondition",
              "RegularAssetTypeTaskDocument",
              "RegularAssetTypeTaskFollowUpTask",
              "RegularAssetTypeTaskFollowUpTaskExpression",
              "AssetTypeTask",
              "AssetTypeTaskResource",
              "AssetTaskResource",
              "AssetTaskSpare",
              "AssetTypeTaskSpare",
              "RegularAssetTypeTaskResource",
              "RegularAssetTypeTaskRuleLink",
              "RegularAssetTypeTaskSpare",
              "RegularAssetTypeTaskSubTask",
              "RegularAssetTypeTaskSuppressedTask",
              "Condition",
              "ConditionType",
              "Event",
              "FailureCause",
              "FailureCauseType",
              "FailureMechanism",
              "FailureMechanismType",
              "FailureMode",
              "FailureModeType",
              "InPlaceAssetMeter",
              "InPlaceAssetAttribute",
              "InPlaceAssetFileAttachment",
              "InPlaceAssetRuleEvaluationFailure",
              "InPlaceAssetResponsibility",
              "InPlaceAssetSpare",
              "InPlaceAssetType",
              "InPlaceAssetTypeResponsibility",
              "InPlaceAssetTypeRuleLink",
              "InPlaceAssetTypeSpare",
              "InPlaceAsset",
              "Option",
              "OptionCategory",
              "RegularAsset",
              "RegularAssetTaskDocument",
              "RegularAssetMeter",
              "RegularAssetResponsibility",
              "RegularAssetMonitoringPointTrigger",
              "RegularAssetSpare",
              "RegularAssetTaskCondition",
              "RegularAssetType",
              "RegularAssetTypeAttribute",
              "RegularAssetTypeDocument",
              "RegularAssetTypeCondition",
              "PlaceholderAssetTypeCondition",
              "RegularAssetTypeRule",
              "RegularAssetTypeResponsibility",
              "RegularAssetTypeMonitoringPointTrigger",
              "RegularAssetTypeSpare",
              "RepairType",
              "Rule",
              "RuleCategory",
              "RuleOption",
              "StandardTask",
              "StandardTaskSpare",
              "StandardTaskSubTask",
              "StandardTaskResource",
              "StandardTaskAttribute",
              "StandardTaskDocument",
              "TaskImportance",
              "TaskInterval",
              "TaskIntervalType",
              "TaskRollUpPoint",
              "TypeOfWork",
              "RegularAssetTypeTaskSpareRuleLink",
              "InPlaceAssetTypeAttribute",
              "RegularAssetTypeTaskResourceRuleLink",
              "PlaceholderAssetSpare",
              "RegularAssetMonitoringPointTriggerParameter",
              "AssetSpare",
              "AssetTypeSpare",
              "AssetMeter",
              "AssetConsumption",
              "RegularAssetConsumption",
              "PlaceholderAssetConsumption",
              "InPlaceAssetConsumption",
              "WarrantyType",
              "RegularAssetTypeFileAttachment",
              "Meter",
              "MeterAttribute",
              "MeterDocument",
              "MeterReading",
              "PredictedMeterReading",
              "TimeLossCategory",
              "TimeLossReason",
              "TimeLossType",
              "Consumable",
              "AcquisitionStatus",
              "AcquisitionType",
              "DocumentFolder",
              "DocumentRecord",
              "DocumentRecordAttribute",
              "FileAttachment",
              "FileAttachmentCategory",
              "FileAttachmentContentHistory",
              "DocumentRecordFileHistory",
              "Costing",
              "CostingBudget",
              "CostCentre",
              "CostCentreAttribute",
              "CostCentreDocument",
              "CostCentreType",
              "CostElement",
              "CostElementAttribute",
              "CostElementDocument",
              "Currency",
              "BudgetTemplate",
              "BudgetTemplateParameter",
              "FinancialYear",
              "FinancialYearPeriod",
              "GeneralLedger",
              "GeneralLedgerAttribute",
              "GeneralLedgerDocument",
              "CurrencyRate",
              "Budget",
              "BudgetParameter",
              "AddressType",
              "Approval",
              "Attribute",
              "AttributeAllowedValue",
              "Calendar",
              "CalendarDay",
              "CalendarException",
              "CalendarDayHour",
              "Classification",
              "ClassificationAllowedValue",
              "EmailType",
              "Language",
              "OperationalRole",
              "OperationalRoleTemplate",
              "OperationalRoleResource",
              "PhoneNumberType",
              "UserOperationalRole",
              "UserOperationalRoleTemplate",
              "UserOperationalRoleResource",
              "TermsAndCondition",
              "TermsAndConditionVersion",
              "TermsAndConditionOperationalRole",
              "UserTermsAndConditionVersion",
              "Location",
              "LocationAttribute",
              "LocationDocument",
              "LocalisationSet",
              "LocalisationKey",
              "LocalisationTranslation",
              "Phrase",
              "PhraseTranslation",
              "PreconfiguredReason",
              "Site",
              "SiteAttribute",
              "SiteDocument",
              "SiteType",
              "Supplier",
              "SupplierFileAttachment",
              "SupplierAttribute",
              "SupplierDocument",
              "SupplierContactAddress",
              "SupplierContactEmail",
              "SupplierContactPhoneNumber",
              "SupplierResource",
              "SupplierTaxRate",
              "UnitOfMeasurement",
              "SiteResource",
              "SiteContactAddress",
              "SiteContactEmail",
              "SiteContactPhoneNumber",
              "ChangeDataTrigger",
              "ChangeDataTriggerOccurrenceLog",
              "ChangeDataTriggerCriteria",
              "NotificationTemplate",
              "ChangeDataTriggerCriteriaParameter",
              "ChangeDataTriggerNotificationEvent",
              "NotificationTemplateParameter",
              "ChangeDataTriggerNotificationEventAttachment",
              "ChangeDataTriggerNotificationEventAttachmentParameter",
              "RequestType",
              "Category",
              "Commodity",
              "MaterialMaster",
              "MaterialMasterAttribute",
              "MaterialMasterDocument",
              "MaterialMasterBin",
              "MaterialMasterSupplier",
              "MaterialMasterLinkWarehouse",
              "StockItem",
              "StockItemFileAttachment",
              "StockItemAttribute",
              "StockItemDocument",
              "StockItemBin",
              "StockItemSupplier",
              "WarehouseAttribute",
              "Warehouse",
              "WarehouseDocument",
              "Requisition",
              "RequisitionFileAttachment",
              "RequisitionStatus",
              "RequisitionStatusChange",
              "RequisitionStatusAttribute",
              "RequisitionStatusDocument",
              "RequisitionStatusChangeHistory",
              "RequisitionItemTransaction",
              "ApprovalRole",
              "RequisitionAttribute",
              "RequisitionDocument",
              "RequisitionTransaction",
              "RequisitionItem",
              "RequisitionItemFileAttachment",
              "UserSiteApprovalRole",
              "ApprovalWorkflow",
              "ApprovalWorkflowExpression",
              "ApprovalWorkflowExpressionApprovalRole",
              "Competency",
              "Resource",
              "ResourceAttribute",
              "ResourceAddress",
              "ResourceClassification",
              "ResourceCompetency",
              "ResourceDocument",
              "ResourceEmail",
              "ResourcePhoneNumber",
              "ResourceTrade",
              "ResourceTradeCompetency",
              "ResourceTradeFinancialRate",
              "Section",
              "SectionAttribute",
              "SectionDocument",
              "SectionTrade",
              "TradeAttribute",
              "TradeDocument",
              "Trade",
              "TradeCompetency",
              "TradeFinancialRate",
              "ResourceContext",
              "ResourceFileAttachment",
              "AssetImportance",
              "RiskConsequence",
              "RiskConsequenceCategory",
              "RiskModel",
              "RiskModelConsequenceCategory",
              "RiskModelImportance",
              "RiskModelProbability",
              "RiskProbability",
              "WorkOrderImportance",
              "WorkOrderStatus",
              "WorkOrderStatusAttribute",
              "WorkOrderStatusDocument",
              "WorkOrderStatusAllowedChange",
              "WorkOrder",
              "WorkOrderStatusChangeHistory",
              "WorkOrderStatusChange",
              "WorkOrderMerge",
              "WorkOrderSplit",
              "WorkOrderMeter",
              "WorkOrderAttribute",
              "WorkOrderDocument",
              "WorkOrderFileAttachment",
              "WorkOrderTaskFileAttachment",
              "WorkOrderTaskWarranty",
              "WorkOrderTaskSpareFileAttachment",
              "WorkOrderTask",
              "WorkOrderTaskDocument",
              "WorkOrderTaskAdHocCost",
              "WorkOrderMonitoringPoint",
              "WorkOrderTaskMonitoringPoint",
              "WorkOrderTaskSpare",
              "WorkOrderTaskSubTask",
              "WorkOrderTaskResource",
              "WorkOrderTaskResourceUsage",
              "DueTask",
              "DueTaskSuppressor",
              "ProposedWorkOrderBatch",
              "ProposedWorkOrder",
              "ProposedWorkOrderTask",
              "ProposedWorkOrderMeter",
              "WorkOrderMovement",
              "WorkOrderTaskMovement",
              "WorkOrderTaskResourceMovement",
              "WorkOrderTaskSpareMovement",
              "WorkOrderTaskSubTaskMovement",
              "WorkOrderCompleteAllTasksLog",
              "WorkRequest",
              "WorkRequestAttribute",
              "WorkRequestDocument",
              "WorkRequestStatus",
              "WorkRequestStatusChange",
              "WorkRequestStatusChangeHistory",
              "WorkRequestFileAttachment",
              "WorkOrderDowntimeLoss",
              "WorkOrderProgressEvent",
              "WorkOrderProgressEventAllowedChange",
              "WorkOrderProgressLog",
              "WorkOrderWarranty",
              "ServiceLevelAgreementClassification",
              "ServiceLevelAgreement",
              "ServiceLevelAgreementMeasure",
              "WorkOrderServiceLevelAgreement",
              "WorkOrderServiceLevelAgreementMeasure",
              "ServiceLevelAgreementMeasureTrigger",
              "ServiceLevelAgreementMeasureFieldAssignment",
              "PermissionTree",
              "User",
              "UserAttribute",
              "UserDocument",
              "UserAuthentication",
              "SecurityRole",
              "SecurityRolePermission",
              "UserSecurityRole",
              "UserCustomPermission",
              "UserOption",
              "BackgroundTask",
              "BackgroundTaskStep",
              "ScheduledBackgroundTask",
              "ScheduledJob",
              "UserDefinedField",
              "UserDefinedFieldPredefinedValue",
              "SystemOption",
              "SystemOptionPageLimit",
              "SystemOptionWorkOrderStatus",
              "SystemOptionDefaultStandardTask",
              "SystemOptionWorkOrderStatusTypeOfWork",
              "SystemOptionReferenceDataViewPermission",
              "SystemOptionFileAttachmentCategory",
              "SystemOptionFileAttachmentFileType",
              "RecordChange",
              "RecordChangeValue",
              "RecordChangeUser",
              "RecordChangeProperty",
              "NotificationEventOutbox",
              "NotificationEventAttachmentOutbox",
              "NotificationOutbox",
              "NotificationOutboxLog",
              "ChangeDataTriggerCriteriaEvaluation",
              "SystemOptionReportServerEntity",
              "SystemOptionReportServerEntityDefaultReport",
              "TemplateMigrationLog",
              "TemplateMigrationLogIntent",
              "ResourceActionMigrationLog",
              "ImportSchema",
              "ImportFile",
              "UserDefinedQuery",
              "ResourceActionCustomisation",
              "TemplateCustomisation",
              "TemplateResource",
              "ClusterSettings",
              "ClusterIdentityProviderSettings",
              "MessageBrokerHost",
              "MessageBrokerTopic",
              "MessageBrokerTopicConsumer",
              "TenantSettings",
              "TenantChangeDataSubscriptionSettings",
              "TenantIdentityProviderSettings",
              "TenantJobSettings",
              "TenantFileContentStoreLocationSettings",
              "TenantFileContentStoreFileTypeGroupSettings",
              "TenantFileContentStoreFileTypeSettings",
              "ClusterFeatureToggle",
              "TenantFeatureToggle",
              "TenantHealthCheck",
              "TenantMachineHealthCheck",
              "ClusterHealthCheck",
              "ClusterMachineHealthCheck",
              "ClusterCapacitySlot",
              "TenantChangeLogCleanupExpressionSettings",
              "ClusterJobSettings",
              "Ignore"
            ]
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Report collection",
            "schema": {
              "$ref": "#/definitions/GetReportServerDashboardsResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/ReportLanguages": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Report Language resources",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| name | ReportServerReportLanguage->Name | string |  |\r\n| displayName | ReportServerReportLanguage->DisplayName | string |  |\r\n",
        "operationId": "GetReportServerReportLanguages",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Report collection",
            "schema": {
              "$ref": "#/definitions/GetReportServerReportLanguageResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/Reports": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Report resources",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ReportServerReport->Id | string |  |\r\n| title | ReportServerReport->Title | string |  |\r\n| description | ReportServerReport->Description | string |  |\r\n| category | ReportServerReport->Category | string |  |\r\n",
        "operationId": "GetReportServerReports",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "string",
            "name": "EntityType",
            "in": "query",
            "description": "Filter reports by Entity Type",
            "x-schema": {
              "$ref": "#/definitions/EntityType"
            },
            "x-nullable": true,
            "enum": [
              "Alarm",
              "NewAlarm",
              "AlarmExpression",
              "AlarmExpressionTask",
              "AlarmAttribute",
              "AlarmDocument",
              "AlarmType",
              "MonitoringPoint",
              "MonitoringPointBoundEvaluationLog",
              "MonitoringPointParameter",
              "MonitoringPointReading",
              "MonitoringPointTrigger",
              "MonitoringPointTriggerExpression",
              "MonitoringPointTriggerExpressionAlarmType",
              "MonitoringPointTriggerExpressionParameter",
              "MonitoringPointTriggerExpressionEvaluation",
              "MonitoringPointTriggerExpressionEvaluationLog",
              "MonitoringPointType",
              "MonitoringPointTypeParameter",
              "MonitoringPointAttribute",
              "MonitoringPointDocument",
              "AuxiliaryAssetTask",
              "AuxiliaryAssetTaskResource",
              "AuxiliaryAssetTaskSpare",
              "AuxiliaryAssetTaskSubTask",
              "RegularAssetComponent",
              "RegularAssetComponentAttribute",
              "RegularAssetComponentDocument",
              "RegularAssetComponentRuleEvaluationFailure",
              "AssetComponent",
              "AssetWarranty",
              "PlaceholderAssetComponent",
              "PlaceholderAssetComponentOptionValue",
              "PlaceholderAssetComponentCondition",
              "PlaceholderAssetMeter",
              "PlaceholderAssetComponentRuleEvaluationFailure",
              "RegularAssetCondition",
              "RegularAssetActiveCondition",
              "AssetFmeca",
              "RegularAssetOptionValue",
              "Asset",
              "RegularAssetAttribute",
              "RegularAssetDocument",
              "RegularAssetFileAttachment",
              "PlaceholderAsset",
              "PlaceholderAssetAttribute",
              "PlaceholderAssetDocument",
              "PlaceholderAssetFileAttachment",
              "PlaceholderAssetRuleEvaluationFailure",
              "PlaceholderAssetResponsibility",
              "PlaceholderAssetCondition",
              "PlaceholderAssetActiveCondition",
              "AssetTask",
              "SetAssetTaskSpareWarehouseEntity",
              "RegularAssetTask",
              "RegularAssetTaskRuleEvaluationFailure",
              "RegularAssetTaskAttribute",
              "RegularAssetTaskAuxiliaryTask",
              "RegularAssetTaskFollowUpTask",
              "RegularAssetTaskFollowUpTaskExpression",
              "RegularAssetTaskSuppressedTask",
              "RegularAssetTaskResource",
              "RegularAssetTaskResourceRuleEvaluationFailure",
              "RegularAssetTaskSpare",
              "RegularAssetTaskSpareRuleEvaluationFailure",
              "RegularAssetTaskSubTask",
              "RegularAssetTaskFileAttachment",
              "AuxiliaryAssetTypeTask",
              "AuxiliaryAssetTypeTaskResource",
              "AuxiliaryAssetTypeTaskSpare",
              "AuxiliaryAssetTypeTaskSubTask",
              "RegularAssetTypeComponent",
              "RegularAssetTypeComponentAttribute",
              "RegularAssetTypeComponentDocument",
              "AssetTypeComponent",
              "PlaceholderAssetTypeComponent",
              "PlaceholderAssetTypeComponentCondition",
              "PlaceholderAssetTypeComponentAttribute",
              "PlaceholderAssetTypeComponentDocument",
              "PlaceholderAssetTypeComponentRuleLink",
              "RegularAssetTypeComponentRuleLink",
              "PlaceholderAssetComponentAttribute",
              "PlaceholderAssetComponentDocument",
              "PlaceholderAssetComponentActiveCondition",
              "AssetTypeFmeca",
              "AssetTypeFunction",
              "AssetFunction",
              "AssetFmecaTask",
              "AssetTypeFmecaTask",
              "AssetTypeFolder",
              "RegularAssetTypeOption",
              "AssetType",
              "PlaceholderAssetType",
              "PlaceholderAssetTypeSpare",
              "PlaceholderAssetTypeAttribute",
              "PlaceholderAssetTypeDocument",
              "PlaceholderAssetTypeResponsibility",
              "PlaceholderAssetTypeRuleLink",
              "RegularAssetTypeTask",
              "RegularAssetTypeTaskAttribute",
              "RegularAssetTypeTaskAuxiliaryTask",
              "RegularAssetTypeTaskCondition",
              "RegularAssetTypeTaskDocument",
              "RegularAssetTypeTaskFollowUpTask",
              "RegularAssetTypeTaskFollowUpTaskExpression",
              "AssetTypeTask",
              "AssetTypeTaskResource",
              "AssetTaskResource",
              "AssetTaskSpare",
              "AssetTypeTaskSpare",
              "RegularAssetTypeTaskResource",
              "RegularAssetTypeTaskRuleLink",
              "RegularAssetTypeTaskSpare",
              "RegularAssetTypeTaskSubTask",
              "RegularAssetTypeTaskSuppressedTask",
              "Condition",
              "ConditionType",
              "Event",
              "FailureCause",
              "FailureCauseType",
              "FailureMechanism",
              "FailureMechanismType",
              "FailureMode",
              "FailureModeType",
              "InPlaceAssetMeter",
              "InPlaceAssetAttribute",
              "InPlaceAssetFileAttachment",
              "InPlaceAssetRuleEvaluationFailure",
              "InPlaceAssetResponsibility",
              "InPlaceAssetSpare",
              "InPlaceAssetType",
              "InPlaceAssetTypeResponsibility",
              "InPlaceAssetTypeRuleLink",
              "InPlaceAssetTypeSpare",
              "InPlaceAsset",
              "Option",
              "OptionCategory",
              "RegularAsset",
              "RegularAssetTaskDocument",
              "RegularAssetMeter",
              "RegularAssetResponsibility",
              "RegularAssetMonitoringPointTrigger",
              "RegularAssetSpare",
              "RegularAssetTaskCondition",
              "RegularAssetType",
              "RegularAssetTypeAttribute",
              "RegularAssetTypeDocument",
              "RegularAssetTypeCondition",
              "PlaceholderAssetTypeCondition",
              "RegularAssetTypeRule",
              "RegularAssetTypeResponsibility",
              "RegularAssetTypeMonitoringPointTrigger",
              "RegularAssetTypeSpare",
              "RepairType",
              "Rule",
              "RuleCategory",
              "RuleOption",
              "StandardTask",
              "StandardTaskSpare",
              "StandardTaskSubTask",
              "StandardTaskResource",
              "StandardTaskAttribute",
              "StandardTaskDocument",
              "TaskImportance",
              "TaskInterval",
              "TaskIntervalType",
              "TaskRollUpPoint",
              "TypeOfWork",
              "RegularAssetTypeTaskSpareRuleLink",
              "InPlaceAssetTypeAttribute",
              "RegularAssetTypeTaskResourceRuleLink",
              "PlaceholderAssetSpare",
              "RegularAssetMonitoringPointTriggerParameter",
              "AssetSpare",
              "AssetTypeSpare",
              "AssetMeter",
              "AssetConsumption",
              "RegularAssetConsumption",
              "PlaceholderAssetConsumption",
              "InPlaceAssetConsumption",
              "WarrantyType",
              "RegularAssetTypeFileAttachment",
              "Meter",
              "MeterAttribute",
              "MeterDocument",
              "MeterReading",
              "PredictedMeterReading",
              "TimeLossCategory",
              "TimeLossReason",
              "TimeLossType",
              "Consumable",
              "AcquisitionStatus",
              "AcquisitionType",
              "DocumentFolder",
              "DocumentRecord",
              "DocumentRecordAttribute",
              "FileAttachment",
              "FileAttachmentCategory",
              "FileAttachmentContentHistory",
              "DocumentRecordFileHistory",
              "Costing",
              "CostingBudget",
              "CostCentre",
              "CostCentreAttribute",
              "CostCentreDocument",
              "CostCentreType",
              "CostElement",
              "CostElementAttribute",
              "CostElementDocument",
              "Currency",
              "BudgetTemplate",
              "BudgetTemplateParameter",
              "FinancialYear",
              "FinancialYearPeriod",
              "GeneralLedger",
              "GeneralLedgerAttribute",
              "GeneralLedgerDocument",
              "CurrencyRate",
              "Budget",
              "BudgetParameter",
              "AddressType",
              "Approval",
              "Attribute",
              "AttributeAllowedValue",
              "Calendar",
              "CalendarDay",
              "CalendarException",
              "CalendarDayHour",
              "Classification",
              "ClassificationAllowedValue",
              "EmailType",
              "Language",
              "OperationalRole",
              "OperationalRoleTemplate",
              "OperationalRoleResource",
              "PhoneNumberType",
              "UserOperationalRole",
              "UserOperationalRoleTemplate",
              "UserOperationalRoleResource",
              "TermsAndCondition",
              "TermsAndConditionVersion",
              "TermsAndConditionOperationalRole",
              "UserTermsAndConditionVersion",
              "Location",
              "LocationAttribute",
              "LocationDocument",
              "LocalisationSet",
              "LocalisationKey",
              "LocalisationTranslation",
              "Phrase",
              "PhraseTranslation",
              "PreconfiguredReason",
              "Site",
              "SiteAttribute",
              "SiteDocument",
              "SiteType",
              "Supplier",
              "SupplierFileAttachment",
              "SupplierAttribute",
              "SupplierDocument",
              "SupplierContactAddress",
              "SupplierContactEmail",
              "SupplierContactPhoneNumber",
              "SupplierResource",
              "SupplierTaxRate",
              "UnitOfMeasurement",
              "SiteResource",
              "SiteContactAddress",
              "SiteContactEmail",
              "SiteContactPhoneNumber",
              "ChangeDataTrigger",
              "ChangeDataTriggerOccurrenceLog",
              "ChangeDataTriggerCriteria",
              "NotificationTemplate",
              "ChangeDataTriggerCriteriaParameter",
              "ChangeDataTriggerNotificationEvent",
              "NotificationTemplateParameter",
              "ChangeDataTriggerNotificationEventAttachment",
              "ChangeDataTriggerNotificationEventAttachmentParameter",
              "RequestType",
              "Category",
              "Commodity",
              "MaterialMaster",
              "MaterialMasterAttribute",
              "MaterialMasterDocument",
              "MaterialMasterBin",
              "MaterialMasterSupplier",
              "MaterialMasterLinkWarehouse",
              "StockItem",
              "StockItemFileAttachment",
              "StockItemAttribute",
              "StockItemDocument",
              "StockItemBin",
              "StockItemSupplier",
              "WarehouseAttribute",
              "Warehouse",
              "WarehouseDocument",
              "Requisition",
              "RequisitionFileAttachment",
              "RequisitionStatus",
              "RequisitionStatusChange",
              "RequisitionStatusAttribute",
              "RequisitionStatusDocument",
              "RequisitionStatusChangeHistory",
              "RequisitionItemTransaction",
              "ApprovalRole",
              "RequisitionAttribute",
              "RequisitionDocument",
              "RequisitionTransaction",
              "RequisitionItem",
              "RequisitionItemFileAttachment",
              "UserSiteApprovalRole",
              "ApprovalWorkflow",
              "ApprovalWorkflowExpression",
              "ApprovalWorkflowExpressionApprovalRole",
              "Competency",
              "Resource",
              "ResourceAttribute",
              "ResourceAddress",
              "ResourceClassification",
              "ResourceCompetency",
              "ResourceDocument",
              "ResourceEmail",
              "ResourcePhoneNumber",
              "ResourceTrade",
              "ResourceTradeCompetency",
              "ResourceTradeFinancialRate",
              "Section",
              "SectionAttribute",
              "SectionDocument",
              "SectionTrade",
              "TradeAttribute",
              "TradeDocument",
              "Trade",
              "TradeCompetency",
              "TradeFinancialRate",
              "ResourceContext",
              "ResourceFileAttachment",
              "AssetImportance",
              "RiskConsequence",
              "RiskConsequenceCategory",
              "RiskModel",
              "RiskModelConsequenceCategory",
              "RiskModelImportance",
              "RiskModelProbability",
              "RiskProbability",
              "WorkOrderImportance",
              "WorkOrderStatus",
              "WorkOrderStatusAttribute",
              "WorkOrderStatusDocument",
              "WorkOrderStatusAllowedChange",
              "WorkOrder",
              "WorkOrderStatusChangeHistory",
              "WorkOrderStatusChange",
              "WorkOrderMerge",
              "WorkOrderSplit",
              "WorkOrderMeter",
              "WorkOrderAttribute",
              "WorkOrderDocument",
              "WorkOrderFileAttachment",
              "WorkOrderTaskFileAttachment",
              "WorkOrderTaskWarranty",
              "WorkOrderTaskSpareFileAttachment",
              "WorkOrderTask",
              "WorkOrderTaskDocument",
              "WorkOrderTaskAdHocCost",
              "WorkOrderMonitoringPoint",
              "WorkOrderTaskMonitoringPoint",
              "WorkOrderTaskSpare",
              "WorkOrderTaskSubTask",
              "WorkOrderTaskResource",
              "WorkOrderTaskResourceUsage",
              "DueTask",
              "DueTaskSuppressor",
              "ProposedWorkOrderBatch",
              "ProposedWorkOrder",
              "ProposedWorkOrderTask",
              "ProposedWorkOrderMeter",
              "WorkOrderMovement",
              "WorkOrderTaskMovement",
              "WorkOrderTaskResourceMovement",
              "WorkOrderTaskSpareMovement",
              "WorkOrderTaskSubTaskMovement",
              "WorkOrderCompleteAllTasksLog",
              "WorkRequest",
              "WorkRequestAttribute",
              "WorkRequestDocument",
              "WorkRequestStatus",
              "WorkRequestStatusChange",
              "WorkRequestStatusChangeHistory",
              "WorkRequestFileAttachment",
              "WorkOrderDowntimeLoss",
              "WorkOrderProgressEvent",
              "WorkOrderProgressEventAllowedChange",
              "WorkOrderProgressLog",
              "WorkOrderWarranty",
              "ServiceLevelAgreementClassification",
              "ServiceLevelAgreement",
              "ServiceLevelAgreementMeasure",
              "WorkOrderServiceLevelAgreement",
              "WorkOrderServiceLevelAgreementMeasure",
              "ServiceLevelAgreementMeasureTrigger",
              "ServiceLevelAgreementMeasureFieldAssignment",
              "PermissionTree",
              "User",
              "UserAttribute",
              "UserDocument",
              "UserAuthentication",
              "SecurityRole",
              "SecurityRolePermission",
              "UserSecurityRole",
              "UserCustomPermission",
              "UserOption",
              "BackgroundTask",
              "BackgroundTaskStep",
              "ScheduledBackgroundTask",
              "ScheduledJob",
              "UserDefinedField",
              "UserDefinedFieldPredefinedValue",
              "SystemOption",
              "SystemOptionPageLimit",
              "SystemOptionWorkOrderStatus",
              "SystemOptionDefaultStandardTask",
              "SystemOptionWorkOrderStatusTypeOfWork",
              "SystemOptionReferenceDataViewPermission",
              "SystemOptionFileAttachmentCategory",
              "SystemOptionFileAttachmentFileType",
              "RecordChange",
              "RecordChangeValue",
              "RecordChangeUser",
              "RecordChangeProperty",
              "NotificationEventOutbox",
              "NotificationEventAttachmentOutbox",
              "NotificationOutbox",
              "NotificationOutboxLog",
              "ChangeDataTriggerCriteriaEvaluation",
              "SystemOptionReportServerEntity",
              "SystemOptionReportServerEntityDefaultReport",
              "TemplateMigrationLog",
              "TemplateMigrationLogIntent",
              "ResourceActionMigrationLog",
              "ImportSchema",
              "ImportFile",
              "UserDefinedQuery",
              "ResourceActionCustomisation",
              "TemplateCustomisation",
              "TemplateResource",
              "ClusterSettings",
              "ClusterIdentityProviderSettings",
              "MessageBrokerHost",
              "MessageBrokerTopic",
              "MessageBrokerTopicConsumer",
              "TenantSettings",
              "TenantChangeDataSubscriptionSettings",
              "TenantIdentityProviderSettings",
              "TenantJobSettings",
              "TenantFileContentStoreLocationSettings",
              "TenantFileContentStoreFileTypeGroupSettings",
              "TenantFileContentStoreFileTypeSettings",
              "ClusterFeatureToggle",
              "TenantFeatureToggle",
              "TenantHealthCheck",
              "TenantMachineHealthCheck",
              "ClusterHealthCheck",
              "ClusterMachineHealthCheck",
              "ClusterCapacitySlot",
              "TenantChangeLogCleanupExpressionSettings",
              "ClusterJobSettings",
              "Ignore"
            ]
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Report collection",
            "schema": {
              "$ref": "#/definitions/GetReportServerReportsResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/Roles": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Role resources",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| name | ReportServerRole->Name | string |  |\r\n",
        "operationId": "GetReportServerRoles",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Report collection",
            "schema": {
              "$ref": "#/definitions/GetReportServerRolesResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/Tags": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Tag resources",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | ReportServerTag->Id | string |  |\r\n| parentId | ReportServerTag->ParentId | string |  |\r\n| name | ReportServerTag->Name | string |  |\r\n| color | ReportServerTag->Color | string |  |\r\n| documentCount | ReportServerTag->DocumentCount | integer | int64 |\r\n| isFavorites | ReportServerTag->IsFavorites | boolean |  |\r\n| order | ReportServerTag->Order | integer | int64 |\r\n",
        "operationId": "GetReportServerTags",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Report collection",
            "schema": {
              "$ref": "#/definitions/GetReportServerTagsResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/BI/Reports/ReportServer/UserInterfaceLanguages": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get a list of Report Server Report Language resources",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| name | ReportServerReportLanguage->Name | string |  |\r\n| displayName | ReportServerReportLanguage->DisplayName | string |  |\r\n",
        "operationId": "GetReportServerUserInterfaceLanguages",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Report collection",
            "schema": {
              "$ref": "#/definitions/GetReportServerUserInterfaceLanguageResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/BI/UserDefinedQueries/{id}": {
      "get": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Get a User Defined Query resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | UserDefinedQuery->Code | string |  |\r\n| isActive | UserDefinedQuery->IsActive | boolean |  |\r\n| createdByUserId | UserDefinedQuery->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | UserDefinedQuery->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | UserDefinedQuery->CreatedByUser_FullName | string |  |\r\n| createdOn | UserDefinedQuery->CreatedOn | string | date-time |\r\n| modifiedByUserId | UserDefinedQuery->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | UserDefinedQuery->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | UserDefinedQuery->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | UserDefinedQuery->ModifiedOn | string | date-time |\r\n| version | UserDefinedQuery->Version | integer | int32 |\r\n| permissionTreeId | UserDefinedQuery->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | UserDefinedQuery->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | UserDefinedQuery->PermissionTree_Description | string |  |\r\n| id | UserDefinedQuery->Id | integer | int64 |\r\n| addPermissionFilter | UserDefinedQuery->AddPermissionFilter | boolean |  |\r\n| description | UserDefinedQuery->Description | string |  |\r\n| entity | UserDefinedQuery->Entity | string (Allowed values: [Alarm, NewAlarm, AlarmExpression, AlarmExpressionTask, AlarmAttribute, AlarmDocument, AlarmType, MonitoringPoint, MonitoringPointBoundEvaluationLog, MonitoringPointParameter, MonitoringPointReading, MonitoringPointTrigger, MonitoringPointTriggerExpression, MonitoringPointTriggerExpressionAlarmType, MonitoringPointTriggerExpressionParameter, MonitoringPointTriggerExpressionEvaluation, MonitoringPointTriggerExpressionEvaluationLog, MonitoringPointType, MonitoringPointTypeParameter, MonitoringPointAttribute, MonitoringPointDocument, AuxiliaryAssetTask, AuxiliaryAssetTaskResource, AuxiliaryAssetTaskSpare, AuxiliaryAssetTaskSubTask, RegularAssetComponent, RegularAssetComponentAttribute, RegularAssetComponentDocument, RegularAssetComponentRuleEvaluationFailure, AssetComponent, AssetWarranty, PlaceholderAssetComponent, PlaceholderAssetComponentOptionValue, PlaceholderAssetComponentCondition, PlaceholderAssetMeter, PlaceholderAssetComponentRuleEvaluationFailure, RegularAssetCondition, RegularAssetActiveCondition, AssetFmeca, RegularAssetOptionValue, Asset, RegularAssetAttribute, RegularAssetDocument, RegularAssetFileAttachment, PlaceholderAsset, PlaceholderAssetAttribute, PlaceholderAssetDocument, PlaceholderAssetFileAttachment, PlaceholderAssetRuleEvaluationFailure, PlaceholderAssetResponsibility, PlaceholderAssetCondition, PlaceholderAssetActiveCondition, AssetTask, SetAssetTaskSpareWarehouseEntity, RegularAssetTask, RegularAssetTaskRuleEvaluationFailure, RegularAssetTaskAttribute, RegularAssetTaskAuxiliaryTask, RegularAssetTaskFollowUpTask, RegularAssetTaskFollowUpTaskExpression, RegularAssetTaskSuppressedTask, RegularAssetTaskResource, RegularAssetTaskResourceRuleEvaluationFailure, RegularAssetTaskSpare, RegularAssetTaskSpareRuleEvaluationFailure, RegularAssetTaskSubTask, RegularAssetTaskFileAttachment, AuxiliaryAssetTypeTask, AuxiliaryAssetTypeTaskResource, AuxiliaryAssetTypeTaskSpare, AuxiliaryAssetTypeTaskSubTask, RegularAssetTypeComponent, RegularAssetTypeComponentAttribute, RegularAssetTypeComponentDocument, AssetTypeComponent, PlaceholderAssetTypeComponent, PlaceholderAssetTypeComponentCondition, PlaceholderAssetTypeComponentAttribute, PlaceholderAssetTypeComponentDocument, PlaceholderAssetTypeComponentRuleLink, RegularAssetTypeComponentRuleLink, PlaceholderAssetComponentAttribute, PlaceholderAssetComponentDocument, PlaceholderAssetComponentActiveCondition, AssetTypeFmeca, AssetTypeFunction, AssetFunction, AssetFmecaTask, AssetTypeFmecaTask, AssetTypeFolder, RegularAssetTypeOption, AssetType, PlaceholderAssetType, PlaceholderAssetTypeSpare, PlaceholderAssetTypeAttribute, PlaceholderAssetTypeDocument, PlaceholderAssetTypeResponsibility, PlaceholderAssetTypeRuleLink, RegularAssetTypeTask, RegularAssetTypeTaskAttribute, RegularAssetTypeTaskAuxiliaryTask, RegularAssetTypeTaskCondition, RegularAssetTypeTaskDocument, RegularAssetTypeTaskFollowUpTask, RegularAssetTypeTaskFollowUpTaskExpression, AssetTypeTask, AssetTypeTaskResource, AssetTaskResource, AssetTaskSpare, AssetTypeTaskSpare, RegularAssetTypeTaskResource, RegularAssetTypeTaskRuleLink, RegularAssetTypeTaskSpare, RegularAssetTypeTaskSubTask, RegularAssetTypeTaskSuppressedTask, Condition, ConditionType, Event, FailureCause, FailureCauseType, FailureMechanism, FailureMechanismType, FailureMode, FailureModeType, InPlaceAssetMeter, InPlaceAssetAttribute, InPlaceAssetFileAttachment, InPlaceAssetRuleEvaluationFailure, InPlaceAssetResponsibility, InPlaceAssetSpare, InPlaceAssetType, InPlaceAssetTypeResponsibility, InPlaceAssetTypeRuleLink, InPlaceAssetTypeSpare, InPlaceAsset, Option, OptionCategory, RegularAsset, RegularAssetTaskDocument, RegularAssetMeter, RegularAssetResponsibility, RegularAssetMonitoringPointTrigger, RegularAssetSpare, RegularAssetTaskCondition, RegularAssetType, RegularAssetTypeAttribute, RegularAssetTypeDocument, RegularAssetTypeCondition, PlaceholderAssetTypeCondition, RegularAssetTypeRule, RegularAssetTypeResponsibility, RegularAssetTypeMonitoringPointTrigger, RegularAssetTypeSpare, RepairType, Rule, RuleCategory, RuleOption, StandardTask, StandardTaskSpare, StandardTaskSubTask, StandardTaskResource, StandardTaskAttribute, StandardTaskDocument, TaskImportance, TaskInterval, TaskIntervalType, TaskRollUpPoint, TypeOfWork, RegularAssetTypeTaskSpareRuleLink, InPlaceAssetTypeAttribute, RegularAssetTypeTaskResourceRuleLink, PlaceholderAssetSpare, RegularAssetMonitoringPointTriggerParameter, AssetSpare, AssetTypeSpare, AssetMeter, AssetConsumption, RegularAssetConsumption, PlaceholderAssetConsumption, InPlaceAssetConsumption, WarrantyType, RegularAssetTypeFileAttachment, Meter, MeterAttribute, MeterDocument, MeterReading, PredictedMeterReading, TimeLossCategory, TimeLossReason, TimeLossType, Consumable, AcquisitionStatus, AcquisitionType, DocumentFolder, DocumentRecord, DocumentRecordAttribute, FileAttachment, FileAttachmentCategory, FileAttachmentContentHistory, DocumentRecordFileHistory, Costing, CostingBudget, CostCentre, CostCentreAttribute, CostCentreDocument, CostCentreType, CostElement, CostElementAttribute, CostElementDocument, Currency, BudgetTemplate, BudgetTemplateParameter, FinancialYear, FinancialYearPeriod, GeneralLedger, GeneralLedgerAttribute, GeneralLedgerDocument, CurrencyRate, Budget, BudgetParameter, AddressType, Approval, Attribute, AttributeAllowedValue, Calendar, CalendarDay, CalendarException, CalendarDayHour, Classification, ClassificationAllowedValue, EmailType, Language, OperationalRole, OperationalRoleTemplate, OperationalRoleResource, PhoneNumberType, UserOperationalRole, UserOperationalRoleTemplate, UserOperationalRoleResource, TermsAndCondition, TermsAndConditionVersion, TermsAndConditionOperationalRole, UserTermsAndConditionVersion, Location, LocationAttribute, LocationDocument, LocalisationSet, LocalisationKey, LocalisationTranslation, Phrase, PhraseTranslation, PreconfiguredReason, Site, SiteAttribute, SiteDocument, SiteType, Supplier, SupplierFileAttachment, SupplierAttribute, SupplierDocument, SupplierContactAddress, SupplierContactEmail, SupplierContactPhoneNumber, SupplierResource, SupplierTaxRate, UnitOfMeasurement, SiteResource, SiteContactAddress, SiteContactEmail, SiteContactPhoneNumber, ChangeDataTrigger, ChangeDataTriggerOccurrenceLog, ChangeDataTriggerCriteria, NotificationTemplate, ChangeDataTriggerCriteriaParameter, ChangeDataTriggerNotificationEvent, NotificationTemplateParameter, ChangeDataTriggerNotificationEventAttachment, ChangeDataTriggerNotificationEventAttachmentParameter, RequestType, Category, Commodity, MaterialMaster, MaterialMasterAttribute, MaterialMasterDocument, MaterialMasterBin, MaterialMasterSupplier, MaterialMasterLinkWarehouse, StockItem, StockItemFileAttachment, StockItemAttribute, StockItemDocument, StockItemBin, StockItemSupplier, WarehouseAttribute, Warehouse, WarehouseDocument, Requisition, RequisitionFileAttachment, RequisitionStatus, RequisitionStatusChange, RequisitionStatusAttribute, RequisitionStatusDocument, RequisitionStatusChangeHistory, RequisitionItemTransaction, ApprovalRole, RequisitionAttribute, RequisitionDocument, RequisitionTransaction, RequisitionItem, RequisitionItemFileAttachment, UserSiteApprovalRole, ApprovalWorkflow, ApprovalWorkflowExpression, ApprovalWorkflowExpressionApprovalRole, Competency, Resource, ResourceAttribute, ResourceAddress, ResourceClassification, ResourceCompetency, ResourceDocument, ResourceEmail, ResourcePhoneNumber, ResourceTrade, ResourceTradeCompetency, ResourceTradeFinancialRate, Section, SectionAttribute, SectionDocument, SectionTrade, TradeAttribute, TradeDocument, Trade, TradeCompetency, TradeFinancialRate, ResourceContext, ResourceFileAttachment, AssetImportance, RiskConsequence, RiskConsequenceCategory, RiskModel, RiskModelConsequenceCategory, RiskModelImportance, RiskModelProbability, RiskProbability, WorkOrderImportance, WorkOrderStatus, WorkOrderStatusAttribute, WorkOrderStatusDocument, WorkOrderStatusAllowedChange, WorkOrder, WorkOrderStatusChangeHistory, WorkOrderStatusChange, WorkOrderMerge, WorkOrderSplit, WorkOrderMeter, WorkOrderAttribute, WorkOrderDocument, WorkOrderFileAttachment, WorkOrderTaskFileAttachment, WorkOrderTaskWarranty, WorkOrderTaskSpareFileAttachment, WorkOrderTask, WorkOrderTaskDocument, WorkOrderTaskAdHocCost, WorkOrderMonitoringPoint, WorkOrderTaskMonitoringPoint, WorkOrderTaskSpare, WorkOrderTaskSubTask, WorkOrderTaskResource, WorkOrderTaskResourceUsage, DueTask, DueTaskSuppressor, ProposedWorkOrderBatch, ProposedWorkOrder, ProposedWorkOrderTask, ProposedWorkOrderMeter, WorkOrderMovement, WorkOrderTaskMovement, WorkOrderTaskResourceMovement, WorkOrderTaskSpareMovement, WorkOrderTaskSubTaskMovement, WorkOrderCompleteAllTasksLog, WorkRequest, WorkRequestAttribute, WorkRequestDocument, WorkRequestStatus, WorkRequestStatusChange, WorkRequestStatusChangeHistory, WorkRequestFileAttachment, WorkOrderDowntimeLoss, WorkOrderProgressEvent, WorkOrderProgressEventAllowedChange, WorkOrderProgressLog, WorkOrderWarranty, ServiceLevelAgreementClassification, ServiceLevelAgreement, ServiceLevelAgreementMeasure, WorkOrderServiceLevelAgreement, WorkOrderServiceLevelAgreementMeasure, ServiceLevelAgreementMeasureTrigger, ServiceLevelAgreementMeasureFieldAssignment, PermissionTree, User, UserAttribute, UserDocument, UserAuthentication, SecurityRole, SecurityRolePermission, UserSecurityRole, UserCustomPermission, UserOption, BackgroundTask, BackgroundTaskStep, ScheduledBackgroundTask, ScheduledJob, UserDefinedField, UserDefinedFieldPredefinedValue, SystemOption, SystemOptionPageLimit, SystemOptionWorkOrderStatus, SystemOptionDefaultStandardTask, SystemOptionWorkOrderStatusTypeOfWork, SystemOptionReferenceDataViewPermission, SystemOptionFileAttachmentCategory, SystemOptionFileAttachmentFileType, RecordChange, RecordChangeValue, RecordChangeUser, RecordChangeProperty, NotificationEventOutbox, NotificationEventAttachmentOutbox, NotificationOutbox, NotificationOutboxLog, ChangeDataTriggerCriteriaEvaluation, SystemOptionReportServerEntity, SystemOptionReportServerEntityDefaultReport, TemplateMigrationLog, TemplateMigrationLogIntent, ResourceActionMigrationLog, ImportSchema, ImportFile, UserDefinedQuery, ResourceActionCustomisation, TemplateCustomisation, TemplateResource, ClusterSettings, ClusterIdentityProviderSettings, MessageBrokerHost, MessageBrokerTopic, MessageBrokerTopicConsumer, TenantSettings, TenantChangeDataSubscriptionSettings, TenantIdentityProviderSettings, TenantJobSettings, TenantFileContentStoreLocationSettings, TenantFileContentStoreFileTypeGroupSettings, TenantFileContentStoreFileTypeSettings, ClusterFeatureToggle, TenantFeatureToggle, TenantHealthCheck, TenantMachineHealthCheck, ClusterHealthCheck, ClusterMachineHealthCheck, ClusterCapacitySlot, TenantChangeLogCleanupExpressionSettings, ClusterJobSettings, Ignore]) | enum |\r\n| isRunnable | UserDefinedQuery->IsRunnable | boolean |  |\r\n| notes | UserDefinedQuery->Notes | string |  |\r\n| query | UserDefinedQuery->Query | object |  |\r\n| sequenceNumber | UserDefinedQuery->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetUserDefinedQuery",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Defined Query Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains User Defined Query",
            "schema": {
              "$ref": "#/definitions/GetUserDefinedQueryResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "User Defined Query"
        ],
        "summary": "Update an existing User Defined Query resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | UserDefinedQuery->Version | integer | int32 |\r\n| code | UserDefinedQuery->Code | string |  |\r\n| description | UserDefinedQuery->Description | string |  |\r\n| entity | UserDefinedQuery->Entity | string (Allowed values: [Alarm, NewAlarm, AlarmExpression, AlarmExpressionTask, AlarmAttribute, AlarmDocument, AlarmType, MonitoringPoint, MonitoringPointBoundEvaluationLog, MonitoringPointParameter, MonitoringPointReading, MonitoringPointTrigger, MonitoringPointTriggerExpression, MonitoringPointTriggerExpressionAlarmType, MonitoringPointTriggerExpressionParameter, MonitoringPointTriggerExpressionEvaluation, MonitoringPointTriggerExpressionEvaluationLog, MonitoringPointType, MonitoringPointTypeParameter, MonitoringPointAttribute, MonitoringPointDocument, AuxiliaryAssetTask, AuxiliaryAssetTaskResource, AuxiliaryAssetTaskSpare, AuxiliaryAssetTaskSubTask, RegularAssetComponent, RegularAssetComponentAttribute, RegularAssetComponentDocument, RegularAssetComponentRuleEvaluationFailure, AssetComponent, AssetWarranty, PlaceholderAssetComponent, PlaceholderAssetComponentOptionValue, PlaceholderAssetComponentCondition, PlaceholderAssetMeter, PlaceholderAssetComponentRuleEvaluationFailure, RegularAssetCondition, RegularAssetActiveCondition, AssetFmeca, RegularAssetOptionValue, Asset, RegularAssetAttribute, RegularAssetDocument, RegularAssetFileAttachment, PlaceholderAsset, PlaceholderAssetAttribute, PlaceholderAssetDocument, PlaceholderAssetFileAttachment, PlaceholderAssetRuleEvaluationFailure, PlaceholderAssetResponsibility, PlaceholderAssetCondition, PlaceholderAssetActiveCondition, AssetTask, SetAssetTaskSpareWarehouseEntity, RegularAssetTask, RegularAssetTaskRuleEvaluationFailure, RegularAssetTaskAttribute, RegularAssetTaskAuxiliaryTask, RegularAssetTaskFollowUpTask, RegularAssetTaskFollowUpTaskExpression, RegularAssetTaskSuppressedTask, RegularAssetTaskResource, RegularAssetTaskResourceRuleEvaluationFailure, RegularAssetTaskSpare, RegularAssetTaskSpareRuleEvaluationFailure, RegularAssetTaskSubTask, RegularAssetTaskFileAttachment, AuxiliaryAssetTypeTask, AuxiliaryAssetTypeTaskResource, AuxiliaryAssetTypeTaskSpare, AuxiliaryAssetTypeTaskSubTask, RegularAssetTypeComponent, RegularAssetTypeComponentAttribute, RegularAssetTypeComponentDocument, AssetTypeComponent, PlaceholderAssetTypeComponent, PlaceholderAssetTypeComponentCondition, PlaceholderAssetTypeComponentAttribute, PlaceholderAssetTypeComponentDocument, PlaceholderAssetTypeComponentRuleLink, RegularAssetTypeComponentRuleLink, PlaceholderAssetComponentAttribute, PlaceholderAssetComponentDocument, PlaceholderAssetComponentActiveCondition, AssetTypeFmeca, AssetTypeFunction, AssetFunction, AssetFmecaTask, AssetTypeFmecaTask, AssetTypeFolder, RegularAssetTypeOption, AssetType, PlaceholderAssetType, PlaceholderAssetTypeSpare, PlaceholderAssetTypeAttribute, PlaceholderAssetTypeDocument, PlaceholderAssetTypeResponsibility, PlaceholderAssetTypeRuleLink, RegularAssetTypeTask, RegularAssetTypeTaskAttribute, RegularAssetTypeTaskAuxiliaryTask, RegularAssetTypeTaskCondition, RegularAssetTypeTaskDocument, RegularAssetTypeTaskFollowUpTask, RegularAssetTypeTaskFollowUpTaskExpression, AssetTypeTask, AssetTypeTaskResource, AssetTaskResource, AssetTaskSpare, AssetTypeTaskSpare, RegularAssetTypeTaskResource, RegularAssetTypeTaskRuleLink, RegularAssetTypeTaskSpare, RegularAssetTypeTaskSubTask, RegularAssetTypeTaskSuppressedTask, Condition, ConditionType, Event, FailureCause, FailureCauseType, FailureMechanism, FailureMechanismType, FailureMode, FailureModeType, InPlaceAssetMeter, InPlaceAssetAttribute, InPlaceAssetFileAttachment, InPlaceAssetRuleEvaluationFailure, InPlaceAssetResponsibility, InPlaceAssetSpare, InPlaceAssetType, InPlaceAssetTypeResponsibility, InPlaceAssetTypeRuleLink, InPlaceAssetTypeSpare, InPlaceAsset, Option, OptionCategory, RegularAsset, RegularAssetTaskDocument, RegularAssetMeter, RegularAssetResponsibility, RegularAssetMonitoringPointTrigger, RegularAssetSpare, RegularAssetTaskCondition, RegularAssetType, RegularAssetTypeAttribute, RegularAssetTypeDocument, RegularAssetTypeCondition, PlaceholderAssetTypeCondition, RegularAssetTypeRule, RegularAssetTypeResponsibility, RegularAssetTypeMonitoringPointTrigger, RegularAssetTypeSpare, RepairType, Rule, RuleCategory, RuleOption, StandardTask, StandardTaskSpare, StandardTaskSubTask, StandardTaskResource, StandardTaskAttribute, StandardTaskDocument, TaskImportance, TaskInterval, TaskIntervalType, TaskRollUpPoint, TypeOfWork, RegularAssetTypeTaskSpareRuleLink, InPlaceAssetTypeAttribute, RegularAssetTypeTaskResourceRuleLink, PlaceholderAssetSpare, RegularAssetMonitoringPointTriggerParameter, AssetSpare, AssetTypeSpare, AssetMeter, AssetConsumption, RegularAssetConsumption, PlaceholderAssetConsumption, InPlaceAssetConsumption, WarrantyType, RegularAssetTypeFileAttachment, Meter, MeterAttribute, MeterDocument, MeterReading, PredictedMeterReading, TimeLossCategory, TimeLossReason, TimeLossType, Consumable, AcquisitionStatus, AcquisitionType, DocumentFolder, DocumentRecord, DocumentRecordAttribute, FileAttachment, FileAttachmentCategory, FileAttachmentContentHistory, DocumentRecordFileHistory, Costing, CostingBudget, CostCentre, CostCentreAttribute, CostCentreDocument, CostCentreType, CostElement, CostElementAttribute, CostElementDocument, Currency, BudgetTemplate, BudgetTemplateParameter, FinancialYear, FinancialYearPeriod, GeneralLedger, GeneralLedgerAttribute, GeneralLedgerDocument, CurrencyRate, Budget, BudgetParameter, AddressType, Approval, Attribute, AttributeAllowedValue, Calendar, CalendarDay, CalendarException, CalendarDayHour, Classification, ClassificationAllowedValue, EmailType, Language, OperationalRole, OperationalRoleTemplate, OperationalRoleResource, PhoneNumberType, UserOperationalRole, UserOperationalRoleTemplate, UserOperationalRoleResource, TermsAndCondition, TermsAndConditionVersion, TermsAndConditionOperationalRole, UserTermsAndConditionVersion, Location, LocationAttribute, LocationDocument, LocalisationSet, LocalisationKey, LocalisationTranslation, Phrase, PhraseTranslation, PreconfiguredReason, Site, SiteAttribute, SiteDocument, SiteType, Supplier, SupplierFileAttachment, SupplierAttribute, SupplierDocument, SupplierContactAddress, SupplierContactEmail, SupplierContactPhoneNumber, SupplierResource, SupplierTaxRate, UnitOfMeasurement, SiteResource, SiteContactAddress, SiteContactEmail, SiteContactPhoneNumber, ChangeDataTrigger, ChangeDataTriggerOccurrenceLog, ChangeDataTriggerCriteria, NotificationTemplate, ChangeDataTriggerCriteriaParameter, ChangeDataTriggerNotificationEvent, NotificationTemplateParameter, ChangeDataTriggerNotificationEventAttachment, ChangeDataTriggerNotificationEventAttachmentParameter, RequestType, Category, Commodity, MaterialMaster, MaterialMasterAttribute, MaterialMasterDocument, MaterialMasterBin, MaterialMasterSupplier, MaterialMasterLinkWarehouse, StockItem, StockItemFileAttachment, StockItemAttribute, StockItemDocument, StockItemBin, StockItemSupplier, WarehouseAttribute, Warehouse, WarehouseDocument, Requisition, RequisitionFileAttachment, RequisitionStatus, RequisitionStatusChange, RequisitionStatusAttribute, RequisitionStatusDocument, RequisitionStatusChangeHistory, RequisitionItemTransaction, ApprovalRole, RequisitionAttribute, RequisitionDocument, RequisitionTransaction, RequisitionItem, RequisitionItemFileAttachment, UserSiteApprovalRole, ApprovalWorkflow, ApprovalWorkflowExpression, ApprovalWorkflowExpressionApprovalRole, Competency, Resource, ResourceAttribute, ResourceAddress, ResourceClassification, ResourceCompetency, ResourceDocument, ResourceEmail, ResourcePhoneNumber, ResourceTrade, ResourceTradeCompetency, ResourceTradeFinancialRate, Section, SectionAttribute, SectionDocument, SectionTrade, TradeAttribute, TradeDocument, Trade, TradeCompetency, TradeFinancialRate, ResourceContext, ResourceFileAttachment, AssetImportance, RiskConsequence, RiskConsequenceCategory, RiskModel, RiskModelConsequenceCategory, RiskModelImportance, RiskModelProbability, RiskProbability, WorkOrderImportance, WorkOrderStatus, WorkOrderStatusAttribute, WorkOrderStatusDocument, WorkOrderStatusAllowedChange, WorkOrder, WorkOrderStatusChangeHistory, WorkOrderStatusChange, WorkOrderMerge, WorkOrderSplit, WorkOrderMeter, WorkOrderAttribute, WorkOrderDocument, WorkOrderFileAttachment, WorkOrderTaskFileAttachment, WorkOrderTaskWarranty, WorkOrderTaskSpareFileAttachment, WorkOrderTask, WorkOrderTaskDocument, WorkOrderTaskAdHocCost, WorkOrderMonitoringPoint, WorkOrderTaskMonitoringPoint, WorkOrderTaskSpare, WorkOrderTaskSubTask, WorkOrderTaskResource, WorkOrderTaskResourceUsage, DueTask, DueTaskSuppressor, ProposedWorkOrderBatch, ProposedWorkOrder, ProposedWorkOrderTask, ProposedWorkOrderMeter, WorkOrderMovement, WorkOrderTaskMovement, WorkOrderTaskResourceMovement, WorkOrderTaskSpareMovement, WorkOrderTaskSubTaskMovement, WorkOrderCompleteAllTasksLog, WorkRequest, WorkRequestAttribute, WorkRequestDocument, WorkRequestStatus, WorkRequestStatusChange, WorkRequestStatusChangeHistory, WorkRequestFileAttachment, WorkOrderDowntimeLoss, WorkOrderProgressEvent, WorkOrderProgressEventAllowedChange, WorkOrderProgressLog, WorkOrderWarranty, ServiceLevelAgreementClassification, ServiceLevelAgreement, ServiceLevelAgreementMeasure, WorkOrderServiceLevelAgreement, WorkOrderServiceLevelAgreementMeasure, ServiceLevelAgreementMeasureTrigger, ServiceLevelAgreementMeasureFieldAssignment, PermissionTree, User, UserAttribute, UserDocument, UserAuthentication, SecurityRole, SecurityRolePermission, UserSecurityRole, UserCustomPermission, UserOption, BackgroundTask, BackgroundTaskStep, ScheduledBackgroundTask, ScheduledJob, UserDefinedField, UserDefinedFieldPredefinedValue, SystemOption, SystemOptionPageLimit, SystemOptionWorkOrderStatus, SystemOptionDefaultStandardTask, SystemOptionWorkOrderStatusTypeOfWork, SystemOptionReferenceDataViewPermission, SystemOptionFileAttachmentCategory, SystemOptionFileAttachmentFileType, RecordChange, RecordChangeValue, RecordChangeUser, RecordChangeProperty, NotificationEventOutbox, NotificationEventAttachmentOutbox, NotificationOutbox, NotificationOutboxLog, ChangeDataTriggerCriteriaEvaluation, SystemOptionReportServerEntity, SystemOptionReportServerEntityDefaultReport, TemplateMigrationLog, TemplateMigrationLogIntent, ResourceActionMigrationLog, ImportSchema, ImportFile, UserDefinedQuery, ResourceActionCustomisation, TemplateCustomisation, TemplateResource, ClusterSettings, ClusterIdentityProviderSettings, MessageBrokerHost, MessageBrokerTopic, MessageBrokerTopicConsumer, TenantSettings, TenantChangeDataSubscriptionSettings, TenantIdentityProviderSettings, TenantJobSettings, TenantFileContentStoreLocationSettings, TenantFileContentStoreFileTypeGroupSettings, TenantFileContentStoreFileTypeSettings, ClusterFeatureToggle, TenantFeatureToggle, TenantHealthCheck, TenantMachineHealthCheck, ClusterHealthCheck, ClusterMachineHealthCheck, ClusterCapacitySlot, TenantChangeLogCleanupExpressionSettings, ClusterJobSettings, Ignore]) | enum |\r\n| addPermissionFilter | UserDefinedQuery->AddPermissionFilter | boolean |  |\r\n| query | UserDefinedQuery->Query | object |  |\r\n| notes | UserDefinedQuery->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 500 chars|  |\r\n| entity | Nullable | False | UserDefinedQuery->AddPermissionFilter eq TRUE |\r\n| entity | Nullable | True | UserDefinedQuery->AddPermissionFilter eq FALSE |\r\n| query | Nullable | False |  |\r\n\r\n",
        "operationId": "UpdateUserDefinedQuery",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "User Defined Query Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/UpdateUserDefinedQueryResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - User Defined Query was successfully updated"
[...]
